AddTag (Apache Struts API Documentation)
Keywords: org.apache.struts.taglib.tiles.AddTag,AddTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.tiles
Class AddTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.servlet.jsp.tagext.BodyTagSupport
                  |
                  +--org.apache.struts.taglib.tiles.PutTag
                        |
                        +--org.apache.struts.taglib.tiles.AddTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, ComponentConstants, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class AddTag
extends PutTag

Add an element to the surrounding list tag. Same syntax as `<put>`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.taglib.tiles.PutTag
`attributeName, realValue`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface org.apache.struts.taglib.tiles.ComponentConstants
`COMPONENT_CONTEXT, COMPONENT_SCOPE, EXCEPTION_KEY, LOCALE_KEY`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`AddTag()` default constructor

Method Summary
`protected void` | `callParent()` Call parent tag which must implement AttributeContainer.
`protected AddTagParent` | `findEnclosingPutListTagParent()` Find parent tag which must implement AttributeContainer.

Methods inherited from class org.apache.struts.taglib.tiles.PutTag
`computeRealValue, doEndTag, doStartTag, findEnclosingPutTagParent, getBeanName, getBeanProperty, getBeanScope, getContent, getName, getRealValue, getRealValueFromBean, getRole, getType, getValue, release, releaseInternal, setBeanName, setBeanProperty, setBeanScope, setContent, setContent, setDirect, setName, setObjectValue, setRole, setType, setValue, setValue`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### AddTag

    public AddTag()

  default constructor

Method Detail

### callParent

    protected void callParent()
                       throws javax.servlet.jsp.JspException

  Call parent tag which must implement AttributeContainer.

  Overrides:
    `callParent` in class `PutTag`
  Throws:
    `javax.servlet.jsp.JspException` - If we can't find an appropriate enclosing tag.

### findEnclosingPutListTagParent

    protected AddTagParent findEnclosingPutListTagParent()
                                                  throws javax.servlet.jsp.JspException

  Find parent tag which must implement AttributeContainer.

  Throws:
    `javax.servlet.jsp.JspException` - If we can't find an appropriate enclosing tag.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation